Last Comment Bug 729040 - Mozmill test failure //testAwesomeBar/testGoButton.js | controller.assertJS: Failed for 'subject.visible == subject.expectedVisibility'
: Mozmill test failure //testAwesomeBar/testGoButton.js | controller.assertJS: ...
Status: RESOLVED WORKSFORME
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Alex Lakatos[:AlexLakatos]
:
:
Mentors:
Depends on: 724713
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 01:55 PST by Maniac Vlad Florin (:vladmaniac)
Modified: 2012-06-28 10:09 PDT (History)
5 users (show)
alex.lakatos.qa: in‑litmus+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
unaffected


Attachments
skipPatch v1.0 [landed:default,aurora,beta] (1.16 KB, patch)
2012-02-21 06:08 PST, Alex Lakatos[:AlexLakatos]
anthony.s.hughes: review+
Details | Diff | Splinter Review
patch v1.0 (1.42 KB, patch)
2012-06-18 04:53 PDT, Alex Lakatos[:AlexLakatos]
no flags Details | Diff | Splinter Review

Description Maniac Vlad Florin (:vladmaniac) 2012-02-21 01:55:59 PST
Firefox version: Firefox 13.0a1 (13.0a1, en-US, 20120218031156)
-----------------------------------------------------------------------------
Platform: All 
-----------------------------------------------------------------------------
Mozmill version: 1.5.7 
-----------------------------------------------------------------------------
First started failling: 2012/02/18
-----------------------------------------------------------------------------
Currently failling on Nightly/default branch 
-----------------------------------------------------------------------------
Report: http://mozmill-release.blargon7.com/#/functional/report/55d601cc2aabfac28f59060a84a11ad4
-----------------------------------------------------------------------------
Error: assert((function () {return eval(expression);}),"controller.assertJS: Failed for 'subject.visible == subject.expectedVisibility'")@resource://mozmill/modules/utils.js:395 ("subject.visible == subject.expectedVisibility",[object Proxy])@resource://mozmill/modules/controller.js:931
Comment 1 Maniac Vlad Florin (:vladmaniac) 2012-02-21 01:58:47 PST
The fix for this test would definitely depend on Alex's assertJS refactoring patch. 

I'll investigate bug 729037 see if the patch for that helps or fixes this one too. 
If not assigning to Alex later today for investigation/fix/skip the test
Comment 2 Alex Lakatos[:AlexLakatos] 2012-02-21 06:08:43 PST
Created attachment 599137 [details] [diff] [review]
skipPatch v1.0 [landed:default,aurora,beta]

Skipping the test until I resolve the dependency.
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-22 21:29:53 PST
Comment on attachment 599137 [details] [diff] [review]
skipPatch v1.0 [landed:default,aurora,beta]

Landed:
http://hg.mozilla.org/qa/mozmill-tests/rev/7022a1b9997e (default)
Comment 4 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-24 11:26:32 PDT
Comment on attachment 599137 [details] [diff] [review]
skipPatch v1.0 [landed:default,aurora,beta]

Note, as per recent merges, this test is now disabled on Nightly, Aurora, and Beta.
Comment 5 Henrik Skupin (:whimboo) 2012-06-05 04:18:12 PDT
Alex, any update on this bug?
Comment 6 Dave Hunt (:davehunt) 2012-06-18 04:44:49 PDT
It's been almost two weeks since Henrik's reminder. Any updates?
Comment 7 Alex Lakatos[:AlexLakatos] 2012-06-18 04:53:46 PDT
Created attachment 633992 [details] [diff] [review]
patch v1.0

(In reply to Dave Hunt (:davehunt) [away until 14th June] from comment #6)
> It's been almost two weeks since Henrik's reminder. Any updates?
The comment seems to have fallen through my mail filters.

This does not fail anymore, so here is the patch that enables it and cleans the litmus reference.
Comment 8 Henrik Skupin (:whimboo) 2012-06-18 05:01:02 PDT
Comment on attachment 633992 [details] [diff] [review]
patch v1.0

We do not need a separate patch. We will backout the original patch instead. Do you have any reports which show that this test is no longer failing?
Comment 9 Alex Lakatos[:AlexLakatos] 2012-06-18 05:42:44 PDT
(In reply to Henrik Skupin (:whimboo) from comment #8)
> Comment on attachment 633992 [details] [diff] [review]
> patch v1.0
> 
> We do not need a separate patch. We will backout the original patch instead.
> Do you have any reports which show that this test is no longer failing?
Yes, here is one.
http://mozmill-crowd.blargon7.com/#/functional/report/8bf3fa70d3d9a46d3e7617383b1161c6
Comment 10 Henrik Skupin (:whimboo) 2012-06-18 06:27:59 PDT
This has to be tested across all platforms. Otherwise it's too risky to re-enable the test.
Comment 11 Alex Lakatos[:AlexLakatos] 2012-06-18 09:36:18 PDT
Tested across MacOSX, Win 7 and Windows XP. They all passed. But seeing as how http://mozmill-crowd.blargon7.com/ is still down, I can't attach links.
I will re-run them once the dashboard is up, so we can have reports.
Comment 12 Henrik Skupin (:whimboo) 2012-06-19 00:05:04 PDT
The IrisCouch outage has been fixed. So please re-run as soon as possible so we could have this test enabled for the tests today.
Comment 14 Henrik Skupin (:whimboo) 2012-06-19 03:11:08 PDT
Sounds good. But next time please make sure to update the local repository before running the tests. At least the last one is really outdated.

Pushed:
http://hg.mozilla.org/qa/mozmill-tests/rev/fdb54e829795 (default)

Alex please check which branches are affected and would need this to be backed-out. Also please reference the changesets because I only see one for default.
Comment 15 Alex Lakatos[:AlexLakatos] 2012-06-19 08:52:11 PDT
Dave, can you please transplant the patch to the affected branches?
Comment 17 Henrik Skupin (:whimboo) 2012-06-20 04:26:40 PDT
Alex, please re-enable all the litmus tests.
Comment 19 Henrik Skupin (:whimboo) 2012-06-20 12:38:35 PDT
Alex, please check the flags when updating the litmus tests. It's missing an update for Firefox 13.
Comment 20 Alex Lakatos[:AlexLakatos] 2012-06-28 09:33:25 PDT
The test for the Firefox 13 Branch did not need updating, I checked. That's why I only pasted the two links.
https://litmus.mozilla.org/show_test.cgi?id=55416
Comment 21 Henrik Skupin (:whimboo) 2012-06-28 10:09:20 PDT
Always paste all the litmus test URLs of the affected branches. Only that way we can verify it correctly. Thanks.

Note You need to log in before you can comment on or make changes to this bug.